%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%  Template for ACC Report class (single contribution) from https://edms.cern.ch/document/1398387/1.1
%  based on CERN Report class (http://cern.ch/DTP/)
%
%                                       
%  Last Mod.: 23 Jan 2017 davide.gamba@cern.ch                                
%  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{accrep}[2017/01/22 accrep package to re-define title page for ACC documents. Version 1.0]

% definition of new fields
\def\cernnoteref#1{\gdef\@cernnoteref{#1}}    % see \@maketitle
\gdef\@cernnoteref{\hbox{}}
\def\authoremail#1{\gdef\@authoremail{#1}}  % see \@maketitle    
\gdef\@authoremail{\hbox{}}

% re-definition of title page including cern logo
\def\maketitle{\par
 \begingroup
   \def\thefootnote{\fnsymbol{footnote}}
     \global\@topnum\z@        % Prevents figures from going at top of page.
     \@maketitle \@thanks
 \endgroup
 \setcounter{footnote}{0}
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax}
 \def\@maketitle{
                {\centering
                    \includegraphics[height=2cm]{hllhcedmsFiles/CERNLogo}
                    \hfill
                    \parbox[b]{0.7\textwidth}{\raggedleft {\Large\bfseries\@cernnoteref} \\[2mm] {\small\@authoremail}} \par
                    \mbox{}\\[10mm]
                    \baselineskip1.2\baselineskip\Huge\bfseries \@title\par
                }
                \mbox{}\\
                \begin{flushleft}
                    {\normalsize\itshape\@author}\\
                    {\normalsize\rmfamily\@institute}
                \end{flushleft}
                \thispagestyle{empty}
               }

\endinput
